> For the complete documentation index, see [llms.txt](https://docs.parallels.com/landing/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.parallels.com/landing/ras-powershell-api-guide/v19/parallels-ras-powershell-admin-module/commands/set-rasalloweddevicessetting.md).

# Set-RASAllowedDevicesSetting

### NAME

Set-RASAllowedDevicesSetting\ <br>

### SYNOPSIS

Modifies the types of clients that are allowed to connect.\ <br>

### SYNTAX

Set-RASAllowedDevicesSetting \[-[AllowClientAndroid](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Set-RASAllowedDevicesSetting.html#AllowClientAndroid) *\<bool>*] \[-[AllowClientChromeApp](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Set-RASAllowedDevicesSetting.html#AllowClientChromeApp) *\<bool>*] \[-[AllowClientIOS](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Set-RASAllowedDevicesSetting.html#AllowClientIOS) *\<bool>*] \[-[AllowClientLinux](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Set-RASAllowedDevicesSetting.html#AllowClientLinux) *\<bool>*] \[-[AllowClientMAC](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Set-RASAllowedDevicesSetting.html#AllowClientMAC) *\<bool>*] \[-[AllowClientMode](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Set-RASAllowedDevicesSetting.html#AllowClientMode) {AllowAllClientsConnectToSystem | AllowSelectedClientsConnectToSystem | AllowSelectedClientsListPublishedItems}] \[-[AllowClientWeb](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Set-RASAllowedDevicesSetting.html#AllowClientWeb) *\<bool>*] \[-[AllowClientWindows](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Set-RASAllowedDevicesSetting.html#AllowClientWindows) *\<bool>*] \[-[AllowClientWithSecurityPatchesOnly](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Set-RASAllowedDevicesSetting.html#AllowClientWithSecurityPatchesOnly) *\<bool>*] \[-[AllowClientWyse](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Set-RASAllowedDevicesSetting.html#AllowClientWyse) *\<bool>*] \[-[MinBuildAndroid](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Set-RASAllowedDevicesSetting.html#MinBuildAndroid) *\<uint>*] \[-[MinBuildChromeApp](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Set-RASAllowedDevicesSetting.html#MinBuildChromeApp) *\<uint>*] \[-[MinBuildIOS](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Set-RASAllowedDevicesSetting.html#MinBuildIOS) *\<uint>*] \[-[MinBuildLinux](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Set-RASAllowedDevicesSetting.html#MinBuildLinux) *\<uint>*] \[-[MinBuildMAC](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Set-RASAllowedDevicesSetting.html#MinBuildMAC) *\<uint>*] \[-[MinBuildWeb](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Set-RASAllowedDevicesSetting.html#MinBuildWeb) *\<uint>*] \[-[MinBuildWindows](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Set-RASAllowedDevicesSetting.html#MinBuildWindows) *\<uint>*] \[-[MinBuildWyse](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Set-RASAllowedDevicesSetting.html#MinBuildWyse) *\<uint>*] \[-[ReplicateSettings](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Set-RASAllowedDevicesSetting.html#ReplicateSettings) *\<bool>*] \[-[SiteId](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Set-RASAllowedDevicesSetting.html#SiteId) *\<uint>*] \[*<*[*CommonParameters*](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Set-RASAllowedDevicesSetting.html#CommonParameters)*>*]\ <br>

### DESCRIPTION

The cmdlet allows you to individually set permission of types of clients to connect.\ <br>

### PARAMETERS

\
-**SiteId \<uint>**\
The site ID to which the allowed device settings refer.\ <br>

```
        Required?                    false
```

```
        Position?                    named
```

```
        Default value                0
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**AllowClientWithSecurityPatchesOnly \<bool>**\
Allow clients with security patches only.\ <br>

```
        Required?                    false
```

```
        Position?                    named
```

```
        Default value                
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**AllowClientMode <**[**AllowClientMode**](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/AllowClientMode.html)**>**\
Set the permission mode for allowing types of clients.\
\
Possible values: AllowAllClientsConnectToSystem, AllowSelectedClientsConnectToSystem, AllowSelectedClientsListPublishedItems\ <br>

```
        Required?                    false
```

```
        Position?                    named
```

```
        Default value                
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**AllowClientChromeApp \<bool>**\
Allow ChromeApp clients.\ <br>

```
        Required?                    false
```

```
        Position?                    named
```

```
        Default value                
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**AllowClientAndroid \<bool>**\
Allow Android clients.\ <br>

```
        Required?                    false
```

```
        Position?                    named
```

```
        Default value                
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**AllowClientWeb \<bool>**\
Allow Web clients.\ <br>

```
        Required?                    false
```

```
        Position?                    named
```

```
        Default value                
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**AllowClientIOS \<bool>**\
Allow IOS clients.\ <br>

```
        Required?                    false
```

```
        Position?                    named
```

```
        Default value                
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**AllowClientLinux \<bool>**\
Allow Linux clients.\ <br>

```
        Required?                    false
```

```
        Position?                    named
```

```
        Default value                
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**AllowClientMAC \<bool>**\
Allow Mac clients.\ <br>

```
        Required?                    false
```

```
        Position?                    named
```

```
        Default value                
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**AllowClientWindows \<bool>**\
Allow Windows clients.\ <br>

```
        Required?                    false
```

```
        Position?                    named
```

```
        Default value                
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**AllowClientWyse \<bool>**\
Allow Wyse clients.\ <br>

```
        Required?                    false
```

```
        Position?                    named
```

```
        Default value                
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**ReplicateSettings \<bool>**\
Enable/disable replication of settings to other sites.\ <br>

```
        Required?                    false
```

```
        Position?                    named
```

```
        Default value                
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**MinBuildChromeApp \<uint>**\
Represents the minimum build required for the Chromeapp client.\ <br>

```
        Required?                    false
```

```
        Position?                    named
```

```
        Default value                
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**MinBuildAndroid \<uint>**\
Represents the minimum build required for the Droid client.\ <br>

```
        Required?                    false
```

```
        Position?                    named
```

```
        Default value                
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**MinBuildWeb \<uint>**\
Represents the minimum build required for the Web client.\ <br>

```
        Required?                    false
```

```
        Position?                    named
```

```
        Default value                
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**MinBuildIOS \<uint>**\
Represents the minimum build required for the IOS client.\ <br>

```
        Required?                    false
```

```
        Position?                    named
```

```
        Default value                
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**MinBuildLinux \<uint>**\
Represents the minimum build required for the Linux client.\ <br>

```
        Required?                    false
```

```
        Position?                    named
```

```
        Default value                
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**MinBuildMAC \<uint>**\
Represents the minimum build required for the Mac client.\ <br>

```
        Required?                    false
```

```
        Position?                    named
```

```
        Default value                
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**MinBuildWindows \<uint>**\
Represents the minimum build required for the Windows client.\ <br>

```
        Required?                    false
```

```
        Position?                    named
```

```
        Default value                
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**MinBuildWyse \<uint>**\
Represents the minimum build required for the Wyse client.\ <br>

```
        Required?                    false
```

```
        Position?                    named
```

```
        Default value                
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
\<CommonParameters>

```
        This cmdlet supports the common parameters: Verbose, Debug,
```

```
        ErrorAction, ErrorVariable, WarningAction, WarningVariable,
```

```
        OutBuffer, PipelineVariable, and OutVariable. For more information, see 
```

```
        about_CommonParameters . 
```

<br>

### INPUTS

-none-

### OUTPUTS

[RASAllowedDevicesSetting](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/RASAllowedDevicesSetting.html)

### EXAMPLES

\
**---------- EXAMPLE 1 ----------**\
\
Set-RASAllowedDevicesSetting -AllowClientMAC $false\
\
Prohibits MAC clients to be connected.\
**---------- EXAMPLE 2 ----------**\
\
Set-RASAllowedDevicesSetting -AllowClientMode AllClientsConnectToSystem -AllowClientMACOS $false\
\
Allows all clients to connect to the system, and prohibits MAC clients.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v19/parallels-ras-powershell-admin-module/commands/set-rasalloweddevicessetting.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
